Item
GET/api/v1/items/{domain}/blueprints
Authorization
bearer_token In: header
Path Parameters
Query Parameters
Full-text query applied to the entity name
1-indexed page number
int640 <= valuePage size
int640 <= valueSort field
Sort order (asc or desc)
Value in
- "asc"
- "desc"
Response Body
application/json
curl -X GET "https://example.com/api/v1/items/string/blueprints"{ "blueprints": [ { "blueprint_id": "string", "context_requirements": null, "created_at": "2019-08-24T14:15:22Z", "domain": "string", "inputs": [ { "match": "definition_id", "quantity": 0, "value": "string" } ], "name": "string", "outputs": [ { "chance": 0.1, "definition_id": "string", "initial_durability_pct": 0.1, "quantity": 0 } ], "type": "static", "version": 0 } ], "pagination": { "has_more": true, "page": 0, "page_size": 0, "total": 0 }}POST/api/v1/items/{domain}/blueprints
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/items/string/blueprints" \ -H "Content-Type: application/json" \ -d '{ "inputs": [ { "quantity": 0, "value": "string" } ], "name": "string", "outputs": [ { "definition_id": "string", "quantity": 0 } ] }'{ "blueprint_id": "string", "context_requirements": null, "created_at": "2019-08-24T14:15:22Z", "domain": "string", "inputs": [ { "match": "definition_id", "quantity": 0, "value": "string" } ], "name": "string", "outputs": [ { "chance": 0.1, "definition_id": "string", "initial_durability_pct": 0.1, "quantity": 0 } ], "type": "static", "version": 0}GET/api/v1/items/{domain}/blueprints/{id}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/items/string/blueprints/string"{ "blueprint_id": "string", "context_requirements": null, "created_at": "2019-08-24T14:15:22Z", "domain": "string", "inputs": [ { "match": "definition_id", "quantity": 0, "value": "string" } ], "name": "string", "outputs": [ { "chance": 0.1, "definition_id": "string", "initial_durability_pct": 0.1, "quantity": 0 } ], "type": "static", "version": 0}DELETE/api/v1/items/{domain}/blueprints/{id}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X DELETE "https://example.com/api/v1/items/string/blueprints/string"{ "id": "string", "message": "string"}PUT/api/v1/items/{domain}/blueprints/{id}
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/api/v1/items/string/blueprints/string" \ -H "Content-Type: application/json" \ -d '{}'{ "blueprint_id": "string", "context_requirements": null, "created_at": "2019-08-24T14:15:22Z", "domain": "string", "inputs": [ { "match": "definition_id", "quantity": 0, "value": "string" } ], "name": "string", "outputs": [ { "chance": 0.1, "definition_id": "string", "initial_durability_pct": 0.1, "quantity": 0 } ], "type": "static", "version": 0}GET/api/v1/items/{domain}/collections
Authorization
bearer_token In: header
Path Parameters
Query Parameters
Full-text query applied to the entity name
1-indexed page number
int640 <= valuePage size
int640 <= valueSort field
Sort order (asc or desc)
Value in
- "asc"
- "desc"
Response Body
application/json
curl -X GET "https://example.com/api/v1/items/string/collections"{ "collections": [ { "collection_id": "string", "convert_event": "string", "created_at": "2019-08-24T14:15:22Z", "domain": "string", "duplicate_policy": "ignore", "members": [ "string" ], "name": "string", "rarity_weighting": true, "tiers": [ { "bonus_event": "string", "required": 0 } ] } ], "pagination": { "has_more": true, "page": 0, "page_size": 0, "total": 0 }}POST/api/v1/items/{domain}/collections
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/items/string/collections" \ -H "Content-Type: application/json" \ -d '{ "members": [ "string" ], "name": "string" }'{ "collection_id": "string", "convert_event": "string", "created_at": "2019-08-24T14:15:22Z", "domain": "string", "duplicate_policy": "ignore", "members": [ "string" ], "name": "string", "rarity_weighting": true, "tiers": [ { "bonus_event": "string", "required": 0 } ]}GET/api/v1/items/{domain}/collections/{id}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/items/string/collections/string"{ "collection_id": "string", "convert_event": "string", "created_at": "2019-08-24T14:15:22Z", "domain": "string", "duplicate_policy": "ignore", "members": [ "string" ], "name": "string", "rarity_weighting": true, "tiers": [ { "bonus_event": "string", "required": 0 } ]}DELETE/api/v1/items/{domain}/collections/{id}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X DELETE "https://example.com/api/v1/items/string/collections/string"{ "id": "string", "message": "string"}PUT/api/v1/items/{domain}/collections/{id}
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/api/v1/items/string/collections/string" \ -H "Content-Type: application/json" \ -d '{}'{ "collection_id": "string", "convert_event": "string", "created_at": "2019-08-24T14:15:22Z", "domain": "string", "duplicate_policy": "ignore", "members": [ "string" ], "name": "string", "rarity_weighting": true, "tiers": [ { "bonus_event": "string", "required": 0 } ]}GET/api/v1/items/{domain}/collections/{id}/progress
Authorization
bearer_token In: header
Path Parameters
Query Parameters
User whose progress is requested
Response Body
application/json
curl -X GET "https://example.com/api/v1/items/string/collections/string/progress?user_id=string"{ "collection_id": "string", "completed": true, "duplicate_counts": { "property1": 0, "property2": 0 }, "owned": [ "string" ], "owned_count": 0, "tiers_reached": [ 0 ], "total_members": 0, "user_id": "string"}POST/api/v1/items/{domain}/containers
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/items/string/containers" \ -H "Content-Type: application/json" \ -d '{}'{ "children": [ {} ], "container_id": "string", "contents": [ { "attributes": null, "collection_tags": [ "string" ], "container_id": "string", "created_at": "2019-08-24T14:15:22Z", "definition_id": "string", "domain": "string", "durability": null, "freshness": { "expires_at": "2019-08-24T14:15:22Z" }, "item_id": "string", "owner_id": "string", "quantity": 0, "slot": 0, "state": "normal" } ], "created_at": "2019-08-24T14:15:22Z", "domain": "string", "kind": "slotted", "limits": { "max_volume": 0, "max_weight": 0 }, "owner_id": "string", "parent_container_id": "string", "slots": 0}GET/api/v1/items/{domain}/containers/{container_id}
Authorization
bearer_token In: header
Path Parameters
Query Parameters
Set to contents to recursively expand nested container contents
Response Body
application/json
curl -X GET "https://example.com/api/v1/items/string/containers/string"{ "children": [ {} ], "container_id": "string", "contents": [ { "attributes": null, "collection_tags": [ "string" ], "container_id": "string", "created_at": "2019-08-24T14:15:22Z", "definition_id": "string", "domain": "string", "durability": null, "freshness": { "expires_at": "2019-08-24T14:15:22Z" }, "item_id": "string", "owner_id": "string", "quantity": 0, "slot": 0, "state": "normal" } ], "created_at": "2019-08-24T14:15:22Z", "domain": "string", "kind": "slotted", "limits": { "max_volume": 0, "max_weight": 0 }, "owner_id": "string", "parent_container_id": "string", "slots": 0}POST/api/v1/items/{domain}/craft
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/items/string/craft" \ -H "Content-Type: application/json" \ -d '{ "source_container_id": "string", "target_container_id": "string" }'{ "blueprint_id": "string", "consumed": [ { "definition_id": "string", "quantity": 0 } ], "global_first": true, "produced": [ { "attributes": null, "collection_tags": [ "string" ], "container_id": "string", "created_at": "2019-08-24T14:15:22Z", "definition_id": "string", "domain": "string", "durability": null, "freshness": { "expires_at": "2019-08-24T14:15:22Z" }, "item_id": "string", "owner_id": "string", "quantity": 0, "slot": 0, "state": "normal" } ], "tier_events": [ { "bonus_event": "string", "collection_id": "string", "global_first": true, "required": 0 } ]}GET/api/v1/items/{domain}/definitions
Authorization
bearer_token In: header
Path Parameters
Query Parameters
Full-text query applied to the entity name
1-indexed page number
int640 <= valuePage size
int640 <= valueSort field
Sort order (asc or desc)
Value in
- "asc"
- "desc"
Response Body
application/json
curl -X GET "https://example.com/api/v1/items/string/definitions"{ "definitions": [ { "created_at": "2019-08-24T14:15:22Z", "default_durability": null, "definition_id": "string", "domain": "string", "equip_slot": "string", "max_stack": 0, "name": "string", "rarity": "common", "salvage_outputs": [ { "chance": 0.1, "definition_id": "string", "quantity": 0 } ], "stackable": true, "tags": [ "string" ], "volume": 0.1, "weight": 0.1 } ], "pagination": { "has_more": true, "page": 0, "page_size": 0, "total": 0 }}POST/api/v1/items/{domain}/definitions
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/items/string/definitions" \ -H "Content-Type: application/json" \ -d '{ "max_stack": 0, "name": "string" }'{ "created_at": "2019-08-24T14:15:22Z", "default_durability": null, "definition_id": "string", "domain": "string", "equip_slot": "string", "max_stack": 0, "name": "string", "rarity": "common", "salvage_outputs": [ { "chance": 0.1, "definition_id": "string", "quantity": 0 } ], "stackable": true, "tags": [ "string" ], "volume": 0.1, "weight": 0.1}POST/api/v1/items/{domain}/definitions/batch
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
A batch of item definitions to create under one domain (catalog import). Created independently and fail-fast; the server enforces a per-batch cap.
Response Body
application/json
curl -X POST "https://example.com/api/v1/items/string/definitions/batch" \ -H "Content-Type: application/json" \ -d '{ "definitions": [ { "max_stack": 0, "name": "string" } ] }'{ "count": 0, "definitions": [ { "created_at": "2019-08-24T14:15:22Z", "default_durability": null, "definition_id": "string", "domain": "string", "equip_slot": "string", "max_stack": 0, "name": "string", "rarity": "common", "salvage_outputs": [ { "chance": 0.1, "definition_id": "string", "quantity": 0 } ], "stackable": true, "tags": [ "string" ], "volume": 0.1, "weight": 0.1 } ]}GET/api/v1/items/{domain}/definitions/{id}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X GET "https://example.com/api/v1/items/string/definitions/string"{ "created_at": "2019-08-24T14:15:22Z", "default_durability": null, "definition_id": "string", "domain": "string", "equip_slot": "string", "max_stack": 0, "name": "string", "rarity": "common", "salvage_outputs": [ { "chance": 0.1, "definition_id": "string", "quantity": 0 } ], "stackable": true, "tags": [ "string" ], "volume": 0.1, "weight": 0.1}DELETE/api/v1/items/{domain}/definitions/{id}
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X DELETE "https://example.com/api/v1/items/string/definitions/string"{ "id": "string", "message": "string"}PUT/api/v1/items/{domain}/definitions/{id}
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PUT "https://example.com/api/v1/items/string/definitions/string" \ -H "Content-Type: application/json" \ -d '{}'{ "created_at": "2019-08-24T14:15:22Z", "default_durability": null, "definition_id": "string", "domain": "string", "equip_slot": "string", "max_stack": 0, "name": "string", "rarity": "common", "salvage_outputs": [ { "chance": 0.1, "definition_id": "string", "quantity": 0 } ], "stackable": true, "tags": [ "string" ], "volume": 0.1, "weight": 0.1}POST/api/v1/items/{domain}/grant
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/items/string/grant" \ -H "Content-Type: application/json" \ -d '{ "container_id": "string", "definition_id": "string", "quantity": 0 }'{ "items": [ { "attributes": null, "collection_tags": [ "string" ], "container_id": "string", "created_at": "2019-08-24T14:15:22Z", "definition_id": "string", "domain": "string", "durability": null, "freshness": { "expires_at": "2019-08-24T14:15:22Z" }, "item_id": "string", "owner_id": "string", "quantity": 0, "slot": 0, "state": "normal" } ]}POST/api/v1/items/{domain}/merge
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/items/string/merge" \ -H "Content-Type: application/json" \ -d '{ "source_item_id": "string", "target_item_id": "string" }'{ "target": { "attributes": null, "collection_tags": [ "string" ], "container_id": "string", "created_at": "2019-08-24T14:15:22Z", "definition_id": "string", "domain": "string", "durability": null, "freshness": { "expires_at": "2019-08-24T14:15:22Z" }, "item_id": "string", "owner_id": "string", "quantity": 0, "slot": 0, "state": "normal" }}POST/api/v1/items/{domain}/move
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/items/string/move" \ -H "Content-Type: application/json" \ -d '{ "item_id": "string", "to_container_id": "string" }'{ "item": { "attributes": null, "collection_tags": [ "string" ], "container_id": "string", "created_at": "2019-08-24T14:15:22Z", "definition_id": "string", "domain": "string", "durability": null, "freshness": { "expires_at": "2019-08-24T14:15:22Z" }, "item_id": "string", "owner_id": "string", "quantity": 0, "slot": 0, "state": "normal" }}POST/api/v1/items/{domain}/reservations
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/items/string/reservations" \ -H "Content-Type: application/json" \ -d '{ "definition_id": "string", "quantity": 0, "source_container_id": "string" }'{ "created_at": "2019-08-24T14:15:22Z", "definition_id": "string", "expires_at": "2019-08-24T14:15:22Z", "fencing_token": 0, "owner_id": "string", "quantity": 0, "reservation_id": "string", "source_container_id": "string", "status": "active"}POST/api/v1/items/{domain}/reservations/{reservation_id}/commit
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/items/string/reservations/string/commit" \ -H "Content-Type: application/json" \ -d '{ "fencing_token": 0 }'{ "created_at": "2019-08-24T14:15:22Z", "definition_id": "string", "expires_at": "2019-08-24T14:15:22Z", "fencing_token": 0, "owner_id": "string", "quantity": 0, "reservation_id": "string", "source_container_id": "string", "status": "active"}POST/api/v1/items/{domain}/reservations/{reservation_id}/refresh
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/items/string/reservations/string/refresh" \ -H "Content-Type: application/json" \ -d '{ "fencing_token": 0 }'{ "created_at": "2019-08-24T14:15:22Z", "definition_id": "string", "expires_at": "2019-08-24T14:15:22Z", "fencing_token": 0, "owner_id": "string", "quantity": 0, "reservation_id": "string", "source_container_id": "string", "status": "active"}POST/api/v1/items/{domain}/reservations/{reservation_id}/release
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/items/string/reservations/string/release" \ -H "Content-Type: application/json" \ -d '{ "fencing_token": 0 }'{ "created_at": "2019-08-24T14:15:22Z", "definition_id": "string", "expires_at": "2019-08-24T14:15:22Z", "fencing_token": 0, "owner_id": "string", "quantity": 0, "reservation_id": "string", "source_container_id": "string", "status": "active"}POST/api/v1/items/{domain}/reservations/{reservation_id}/shrink
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/items/string/reservations/string/shrink" \ -H "Content-Type: application/json" \ -d '{ "fencing_token": 0, "quantity": 0 }'{ "created_at": "2019-08-24T14:15:22Z", "definition_id": "string", "expires_at": "2019-08-24T14:15:22Z", "fencing_token": 0, "owner_id": "string", "quantity": 0, "reservation_id": "string", "source_container_id": "string", "status": "active"}POST/api/v1/items/{domain}/split
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/items/string/split" \ -H "Content-Type: application/json" \ -d '{ "item_id": "string", "quantity": 0 }'{ "created": { "attributes": null, "collection_tags": [ "string" ], "container_id": "string", "created_at": "2019-08-24T14:15:22Z", "definition_id": "string", "domain": "string", "durability": null, "freshness": { "expires_at": "2019-08-24T14:15:22Z" }, "item_id": "string", "owner_id": "string", "quantity": 0, "slot": 0, "state": "normal" }, "source": { "attributes": null, "collection_tags": [ "string" ], "container_id": "string", "created_at": "2019-08-24T14:15:22Z", "definition_id": "string", "domain": "string", "durability": null, "freshness": { "expires_at": "2019-08-24T14:15:22Z" }, "item_id": "string", "owner_id": "string", "quantity": 0, "slot": 0, "state": "normal" }}POST/api/v1/items/{domain}/transfer
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/items/string/transfer" \ -H "Content-Type: application/json" \ -d '{ "item_id": "string", "to_container_id": "string", "to_user_id": "string" }'{ "item": { "attributes": null, "collection_tags": [ "string" ], "container_id": "string", "created_at": "2019-08-24T14:15:22Z", "definition_id": "string", "domain": "string", "durability": null, "freshness": { "expires_at": "2019-08-24T14:15:22Z" }, "item_id": "string", "owner_id": "string", "quantity": 0, "slot": 0, "state": "normal" }}POST/api/v1/items/{domain}/{item_id}/repair
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/items/string/string/repair" \ -H "Content-Type: application/json" \ -d '{}'{ "item": { "attributes": null, "collection_tags": [ "string" ], "container_id": "string", "created_at": "2019-08-24T14:15:22Z", "definition_id": "string", "domain": "string", "durability": null, "freshness": { "expires_at": "2019-08-24T14:15:22Z" }, "item_id": "string", "owner_id": "string", "quantity": 0, "slot": 0, "state": "normal" }}POST/api/v1/items/{domain}/{item_id}/salvage
Authorization
bearer_token In: header
Path Parameters
Response Body
application/json
curl -X POST "https://example.com/api/v1/items/string/string/salvage"{ "granted": [ { "attributes": null, "collection_tags": [ "string" ], "container_id": "string", "created_at": "2019-08-24T14:15:22Z", "definition_id": "string", "domain": "string", "durability": null, "freshness": { "expires_at": "2019-08-24T14:15:22Z" }, "item_id": "string", "owner_id": "string", "quantity": 0, "slot": 0, "state": "normal" } ], "item_id": "string"}POST/api/v1/items/{domain}/{item_id}/use
Authorization
bearer_token In: header
Path Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/items/string/string/use" \ -H "Content-Type: application/json" \ -d '{}'{ "item": { "attributes": null, "collection_tags": [ "string" ], "container_id": "string", "created_at": "2019-08-24T14:15:22Z", "definition_id": "string", "domain": "string", "durability": null, "freshness": { "expires_at": "2019-08-24T14:15:22Z" }, "item_id": "string", "owner_id": "string", "quantity": 0, "slot": 0, "state": "normal" }}